{ pkgs, ... }:

{
  home.username = "ifrahim";
  home.homeDirectory = "/home/ifrahim";
  home.stateVersion = "25.11"; # Match your initial install version

  # This is where your user-specific packages go now
  home.packages = with pkgs; [
    fd
    nil
    nixd
    unzip
    ghostty
    flatpak
    zed-editor
    openconnect
    networkmanager
    nixos-generators
    thunderbird-latest
    nerd-fonts.jetbrains-mono
    wl-clipboard
    ripgrep
    lazygit
    htop
    curl
    wget
  ];

  fonts.fontconfig.enable = true;

  programs.git = {
    enable = true;
    settings.user = {
      name = "Ifrahim Ansari";
      email = "iam@ifrahim.dev";
    };
  };

  home.file.".config/nvim" = {
    source = ./nvim; # Nix implicitly converts local paths to store paths
    recursive = true;
    force = true;
  };
}
